<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml" indent="yes"/>

<xsl:template match="root">
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

    <fo:layout-master-set>
		<fo:simple-page-master master-name="cover"
            page-height="10cm"
            page-width="9cm"
            margin-top="0.25cm"
            margin-bottom="0.25cm"
            margin-left="0.5cm"
            margin-right="0.25cm">
            <fo:region-body
                margin-top="0.3cm" />
		</fo:simple-page-master>

    <fo:simple-page-master master-name="page"
            page-height="10cm"
            page-width="9cm"
            margin-left="1cm"
            margin-right="1cm"
            margin-top="0.25cm"
            margin-bottom="0.25cm">
            <fo:region-after extent="0.5cm"/>
            <fo:region-body
                margin-top="0.25cm"
                margin-bottom="0.25cm" />
        </fo:simple-page-master>

        <fo:page-sequence-master master-name="contents">
            <fo:repeatable-page-master-alternatives>
                <fo:conditional-page-master-reference
                    master-reference="page" />
            </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
    </fo:layout-master-set>

    <fo:page-sequence master-reference="cover">
      <fo:flow flow-name="xsl-region-body">
          <fo:block font-family="Helvetica" font-size="18pt"
              text-align="end" space-before="2cm"> 
              Test converting XML to PDF 
          </fo:block>
      		<fo:block break-before="page"> </fo:block>
      </fo:flow>
    </fo:page-sequence>

    <fo:page-sequence master-reference="contents"
		initial-page-number="1">

      <fo:static-content flow-name="xsl-region-after">
          <fo:block font-family="Helvetica" font-size="9pt"
              text-align="center">
              - <fo:page-number /> -
          </fo:block>
      </fo:static-content>
  
      <fo:flow flow-name="xsl-region-body">
    		<fo:block font-family="Helvetica" font-size="9pt">
        		<xsl:apply-templates select="aaa"/>
    		</fo:block>
          </fo:flow>
    </fo:page-sequence>
</fo:root>
</xsl:template>

<xsl:template match="aaa">
	<fo:block font-size="12pt" font-weight="bold">
	   <xsl:value-of select="bbb"/>
     <xsl:text> </xsl:text>
	   <xsl:value-of select="ccc"/>
	</fo:block>
   
  <xsl:call-template name="thick-line"/>
</xsl:template>

<xsl:template name="thick-line">
	<fo:block space-before="0px">
   		<fo:leader leader-pattern="rule"
			leader-length="100%"
			rule-style="solid"
			rule-thickness="0.1cm"/>
	</fo:block>
</xsl:template>

</xsl:stylesheet>
