<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" indent="yes"
	doctype-public="-//W3C//DTD SVG 1.0//EN"
	doctype-system="http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd"/>

<xsl:template match="root">

  <xsl:variable name="n">
  	<xsl:value-of select="count(aaa)*25 + 10"/>
  </xsl:variable>

  <svg width="155" height="{$n}"
  	viewBox="0 0 155 0 {$n}">
  
    <script type="text/ecmascript">
    <![CDATA[
    var currId = "0";    
    function show( id ) {
    	var obj;
    	if (id != currId)	{
    		if (currId != 0) {
    			obj = document.getElementById( "rect" + currId );
    			obj.setAttribute( "fill", "#eeeeff" );
    		}
    		obj = document.getElementById( "rect" + id );
    		obj.setAttribute( "fill", "#ffff00");
    		currId = id;
    	}
    }
    // ]]>
    </script>
    <xsl:apply-templates select="aaa"/>
  </svg>
</xsl:template>


<xsl:template match="aaa">
	<g onclick="show({position()})">
  	<rect id="rect{position()}"	x="0" width="150" height="20" 
          fill="#eeeeff" style="stroke:black;">
  		<xsl:attribute name="y">
        <xsl:value-of	select="(position() * 25) - 15"/>
      </xsl:attribute>
  	</rect>
  	<text x="10" style="font-size: 10pt; ">
  		<xsl:attribute name="y">
        <xsl:value-of select="(position() * 25) - 15 + 14"/>
      </xsl:attribute>
  		<xsl:value-of select="bbb"/> (<xsl:value-of select="ccc"/>) 
    </text>
	</g>
	
</xsl:template>

</xsl:stylesheet>
